# $Revision: 1.25 $, $Date: 2005/04/04 18:33:28 $
Summary:	SETI@home client statistics monitor for KDE
Summary(pl):	Monitor statystyk klienta SETI@home dla KDE
Name:		ksetiwatch
Version:	3.0.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/sourceforge/ksetiwatch/%{name}-%{version}.tar.bz2
# Source0-md5:	fa9bb1997e1bbf946302c27803b1ac71
Source1:	%{name}.png
Patch0:		%{name}-desktop.patch
URL:		http://ksetiwatch.sourceforge.net/
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	rpmbuild(macros) >= 1.129
Requires:	setiathome
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ksetiwatch is a KDE aplication which allows you to see how many units
have you done. There is nice map of the sky inside.

%description -l pl
Ksetiwatch jest programem pod KDE, ktry pozwala oglda swoje postpy
w liczeniu jednostek SETI@home. Wartym zobaczenia elementem jest mapa
nieba.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub admin
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
%configure \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_appsdir=%{_desktopdir}

mv $RPM_BUILD_ROOT%{_desktopdir}/{Applications,}/ksetiwatch.desktop
install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO AUTHORS
%attr(755,root,root) %{_bindir}/ksetiwatch
%{_datadir}/apps/ksetiwatch
%{_pixmapsdir}/ksetiwatch.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_desktopdir}/ksetiwatch.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ksetiwatch.spec,v $
Revision 1.25  2005/04/04 18:33:28  darekr
- killed needless def; missing BR

Revision 1.24  2005/04/04 18:31:13  adamg
- updated to 3.0.1

Revision 1.23  2004/07/17 05:40:59  ankry
- added -desktop patch, rel. 3

Revision 1.22  2004/05/11 22:19:16  qboosh
- fixed build on amd64, switched to vfolders; release 2

Revision 1.21  2004/05/11 19:01:03  adamg
- forgot: BuildRequires: automake

Revision 1.20  2004/05/11 19:00:13  adamg
- refresh config.sub

Revision 1.19  2004/05/09 14:57:13  adamg
- updated to 3.0.0

Revision 1.18  2003/05/28 08:02:38  adamg
- up to 2.6.1
- fixed Source0 URL
- added Source0-md5

Revision 1.17  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/09 09:15:18  mkierus
- updated to 2.6.0

Revision 1.15  2003/04/08 13:40:04  mkierus
- fixed kde_appsdir

Revision 1.14  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.13  2002/11/09 16:01:11  kloczek
- update to 2.5.1.

Revision 1.12  2002/11/09 02:51:09  ankry
- icon moved to top %%{applnkdir} (needs resizing), rel. 4

Revision 1.11  2002/10/28 00:23:54  ankry
- Requires: setiathome, rel. 3

Revision 1.10  2002/09/06 20:25:28  kloczek
- removed qt-devel from BuildRequires (this rule is reduntant),
- fixed Group (now is X11/Applications).

Revision 1.9  2002/08/31 15:02:08  blues
- release 2 - merge with devel - STBR

Revision 1.3.2.4  2002/07/24 16:42:39  blues
- full 2.5.0

Revision 1.3.2.3  2002/06/10 21:49:48  mkierus
- removed duplicated define

Revision 1.3.2.2  2002/06/05 21:48:18  ankry
- use %%find_lang

Revision 1.3.2.1  2002/06/05 13:22:34  mkierus
- version for KDE 3

Revision 1.8  2002/08/13 09:38:47  kloczek
- reorder in preamble.

Revision 1.7  2002/07/30 08:19:50  qboosh
- release 2

Revision 1.6  2002/07/30 08:17:16  qboosh
- fixed file list (resolved conflicts, moved icons and docs to proper place)
- BR: fam-devel (because of part of kdelibs)

Revision 1.5  2002/07/22 22:28:06  blues
- configure2_13 used

Revision 1.4  2002/07/22 22:26:43  blues
- small fixes

Revision 1.3  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:13:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/06/09 18:41:17  blues
- release 1
initial version - watch you SETI@home progress (nice sky-map)
